FunctionalSourceSet (Gradle API 2.9)
Date: 2015-11-17

org.gradle.language.base

## Interface FunctionalSourceSet

- All Superinterfaces:
    Collection<LanguageSourceSet>, org.gradle.util.Configurable<NamedDomainObjectContainer<LanguageSourceSet>>, DomainObjectCollection<LanguageSourceSet>, ExtensiblePolymorphicDomainObjectContainer<LanguageSourceSet>, org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal<LanguageSourceSet>, Iterable<LanguageSourceSet>, Named, NamedDomainObjectCollection<LanguageSourceSet>, NamedDomainObjectContainer<LanguageSourceSet>, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<LanguageSourceSet>, NamedDomainObjectSet<LanguageSourceSet>, PolymorphicDomainObjectContainer<LanguageSourceSet>, org.gradle.api.internal.PolymorphicDomainObjectContainerInternal<LanguageSourceSet>, Set<LanguageSourceSet>

      @Incubating
      public interface FunctionalSourceSet
      extends org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal<LanguageSourceSet>, Named

  A container holding `LanguageSourceSet`s with a similar function (production code, test code, etc.).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getBaseDir()`

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.internal.PolymorphicDomainObjectContainerInternal

      `getCreateableTypes, getEntityInstantiator`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getBaseDir

          File getBaseDir()